soelim(1)

Nazwa
soelim - rekurencyjnie interpoluje zapytania źródłowe w roff lub innych plikach tekstowych

Składnia
soelim [-Crt] [-I katalog] [plik-wejściowy ...]
soelim --help
soelim -v
soelim --version

Opis
GNU soelim jest preprocesorem systemu formatowania dokumentów groff(7) soelim działa jako filtr, służący do eliminacji zapytań źródłowych w plikach wejściowych roff(7) tzn. zastępuje rekurencyjnie wiersze w postaci „.so plik-do-włączenia” wewnątrz każdego pliku-wejściowego zawartością pliku-do-włączenia. Domyślnie, zapisuje również zapytania lf, aby zachować nazwę i numer wiersza każdego pliku-wejściowego oraz pliku-do-włączenia, dzięki czemu wszelkie komunikaty diagnostyczne, tworzone przy późniejszym przetwarzaniu, mogą prawidłowo wskazywać na pierwotne wejście. Istnieją opcje, za pomocą których można wyłączyć te informacje (-r) lub umieszczać je w komentarzach TeX (-t). Przy braku argumentów pliku-wejściowego, soelim czyta strumień standardowego wejścia. Wyjście jest zapisywane na strumień standardowego wyjścia.

Jeśli nazwa pliku-makra zawiera odwrotny ukośnik, można ją osadzić za pomocą \\ lub \e. By umieścić spację, należy użyć „\ ” (ukośnik i spacja). Wszelkie inne sekwencje specjalne w pliku-makra, w tym „\[rs]”, przeciwdziałają zastępowaniu zapytań źródłowych przez soelim.

W celu obsługi przez soelim, kropka musi występować na początku wiersza i musi po niej nastąpić „so” bez żadnych spacji lub tabulatorów. Konwencja ta pozwala na „uchronienie” zapytań źródłowych przed przetwarzaniem przez soelim np. jako część definicji makra lub zapytań „if”.

Pomiędzy „so”, a jego argumentem pliku-makra musi występować co najmniej jedna spacja. Wymaganie to wyłącza opcja -C.

Powyższe wynika z ograniczonego rozumienia języka roff przez soelim; nie zastąpi on na przykład wiersza wejściowego
        .if 1 .so inny-plik
zawartością innego-pliku. Za pomocą opcji -r, soelim można zatem użyć do przetwarzania zwykłych plików tekstowych, do spłaszczania drzewa dokumentów wejściowych.

soelim został zaprojektowany do obsługi sytuacji, gdy cel zapytania źródłowego roff wymaga preprocesora, takiego jak eqn(1), pic(1), refer(1), lub tbl(1). Standardowa sekwencja przetwarzania groff(1) jest następująca:

              input        sourced
              file          file
                |             |
                ↓             ↓
            preprocessor → troff → postprocessor
                                          |
                                          ↓
                                       output
                                        file

To jest, pliki dołączane za pomocą „so” są zazwyczaj czytane tylko przez program formatujący troff. soelim nie jest wymagany przez pliki źródłowe troff.

Jeśli plik do wczytania także powinien być przedprocesowany, musi zostać odczytany zanim pliki wejściowe przejdą przez preprocesor. soelim, wywoływany zwykle za pomocą opcji -s groffa, to obsługuje.

              input
              file
                |
                ↓
              soelim → preprocessor → troff → postprocessor
                ↑                                     |
                |                                     ↓
             sourced                               output
              file                                  file

Opcje
--help wyświetla pomoc, a -v i --version informacje o wersji; wszystkie kończą działanie programu.

-C  Rozpoznaje wiersze wejściowe zaczynające się od .so, nawet jeśli występuje po nim znak inny niż spacja lub znak nowego wiersza.

-I katalog
    Przeszukuje katalog pod kątem plików-wejściowych i plików-do-włączenia. -I zostać określona więcej niż raz; w takim przypadku katalogi są przeszukiwane w podanej kolejności. Aby wyszukać bieżący katalog roboczy przed innymi katalogami, należy dodać „-I ." ” w oczekiwanym miejscu; w innym przypadku jest przeszukiwany na końcu.

-r  Zapisuje „surowe” pliki; nie dodaje zapytań lf.

-t  Produkuje wiersze komentarza TeX zaczynające się od „%”, wskazujące bieżący plik i numer wiersza, zamiast żądań lf, służących do tego samego celu.

Jeśli poda się -r i -t, ważna jest opcja podana jako ostatnia.

Zobacz także
groff(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl>, Robert Luberda <robert@debian.org>, Szymon Lamkiewicz <s.lam@o2.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.